### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto
  commentId: T:adas_core.Domain.Models.DTO.RecordingAlertDto
  id: RecordingAlertDto
  parent: adas_core.Domain.Models.DTO
  children:
  - adas_core.Domain.Models.DTO.RecordingAlertDto.Location
  - adas_core.Domain.Models.DTO.RecordingAlertDto.MessageTime
  - adas_core.Domain.Models.DTO.RecordingAlertDto.PatientNumber
  - adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingAlerts
  - adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingData
  - adas_core.Domain.Models.DTO.RecordingAlertDto.WaitResult
  langs:
  - csharp
  - vb
  name: RecordingAlertDto
  nameWithType: RecordingAlertDto
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/DTO/RecordingAlertDto.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RecordingAlertDto
    path: ../../adas-core.Domain/Models/DTO/RecordingAlertDto.cs
    startLine: 7
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.DTO
  summary: Represents a data transfer object used to convey information about a recording alert between application layers or services.
  example: []
  syntax:
    content: public class RecordingAlertDto
    content.vb: Public Class RecordingAlertDto
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.PatientNumber
  commentId: P:adas_core.Domain.Models.DTO.RecordingAlertDto.PatientNumber
  id: PatientNumber
  parent: adas_core.Domain.Models.DTO.RecordingAlertDto
  langs:
  - csharp
  - vb
  name: PatientNumber
  nameWithType: RecordingAlertDto.PatientNumber
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.PatientNumber
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/DTO/RecordingAlertDto.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PatientNumber
    path: ../../adas-core.Domain/Models/DTO/RecordingAlertDto.cs
    startLine: 9
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.DTO
  syntax:
    content: public string? PatientNumber { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property PatientNumber As String
  overload: adas_core.Domain.Models.DTO.RecordingAlertDto.PatientNumber*
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.Location
  commentId: P:adas_core.Domain.Models.DTO.RecordingAlertDto.Location
  id: Location
  parent: adas_core.Domain.Models.DTO.RecordingAlertDto
  langs:
  - csharp
  - vb
  name: Location
  nameWithType: RecordingAlertDto.Location
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.Location
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/DTO/RecordingAlertDto.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Location
    path: ../../adas-core.Domain/Models/DTO/RecordingAlertDto.cs
    startLine: 10
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.DTO
  syntax:
    content: public PatientLocation? Location { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.PatientLocation
    content.vb: Public Property Location As PatientLocation
  overload: adas_core.Domain.Models.DTO.RecordingAlertDto.Location*
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingAlerts
  commentId: P:adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingAlerts
  id: RecordingAlerts
  parent: adas_core.Domain.Models.DTO.RecordingAlertDto
  langs:
  - csharp
  - vb
  name: RecordingAlerts
  nameWithType: RecordingAlertDto.RecordingAlerts
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingAlerts
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/DTO/RecordingAlertDto.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RecordingAlerts
    path: ../../adas-core.Domain/Models/DTO/RecordingAlertDto.cs
    startLine: 12
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.DTO
  syntax:
    content: public List<PatientRecordingAlert>? RecordingAlerts { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{adas_core.Domain.Models.PatientRecordingAlert}
    content.vb: Public Property RecordingAlerts As List(Of PatientRecordingAlert)
  overload: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingAlerts*
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingData
  commentId: P:adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingData
  id: RecordingData
  parent: adas_core.Domain.Models.DTO.RecordingAlertDto
  langs:
  - csharp
  - vb
  name: RecordingData
  nameWithType: RecordingAlertDto.RecordingData
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingData
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/DTO/RecordingAlertDto.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: RecordingData
    path: ../../adas-core.Domain/Models/DTO/RecordingAlertDto.cs
    startLine: 14
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.DTO
  syntax:
    content: public RecordingData? RecordingData { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.Recording.RecordingData
    content.vb: Public Property RecordingData As RecordingData
  overload: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingData*
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.MessageTime
  commentId: P:adas_core.Domain.Models.DTO.RecordingAlertDto.MessageTime
  id: MessageTime
  parent: adas_core.Domain.Models.DTO.RecordingAlertDto
  langs:
  - csharp
  - vb
  name: MessageTime
  nameWithType: RecordingAlertDto.MessageTime
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.MessageTime
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/DTO/RecordingAlertDto.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: MessageTime
    path: ../../adas-core.Domain/Models/DTO/RecordingAlertDto.cs
    startLine: 16
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.DTO
  syntax:
    content: public DateTime MessageTime { get; set; }
    parameters: []
    return:
      type: System.DateTime
    content.vb: Public Property MessageTime As Date
  overload: adas_core.Domain.Models.DTO.RecordingAlertDto.MessageTime*
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.WaitResult
  commentId: P:adas_core.Domain.Models.DTO.RecordingAlertDto.WaitResult
  id: WaitResult
  parent: adas_core.Domain.Models.DTO.RecordingAlertDto
  langs:
  - csharp
  - vb
  name: WaitResult
  nameWithType: RecordingAlertDto.WaitResult
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.WaitResult
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/DTO/RecordingAlertDto.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: WaitResult
    path: ../../adas-core.Domain/Models/DTO/RecordingAlertDto.cs
    startLine: 18
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.DTO
  syntax:
    content: public bool WaitResult { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property WaitResult As Boolean
  overload: adas_core.Domain.Models.DTO.RecordingAlertDto.WaitResult*
references:
- uid: adas_core.Domain.Models.DTO
  commentId: N:adas_core.Domain.Models.DTO
  href: adas_core.html
  name: adas_core.Domain.Models.DTO
  nameWithType: adas_core.Domain.Models.DTO
  fullName: adas_core.Domain.Models.DTO
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.DTO
    name: DTO
    href: adas_core.Domain.Models.DTO.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.DTO
    name: DTO
    href: adas_core.Domain.Models.DTO.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.PatientNumber*
  commentId: Overload:adas_core.Domain.Models.DTO.RecordingAlertDto.PatientNumber
  href: adas_core.Domain.Models.DTO.RecordingAlertDto.html#adas_core_Domain_Models_DTO_RecordingAlertDto_PatientNumber
  name: PatientNumber
  nameWithType: RecordingAlertDto.PatientNumber
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.PatientNumber
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.Location*
  commentId: Overload:adas_core.Domain.Models.DTO.RecordingAlertDto.Location
  href: adas_core.Domain.Models.DTO.RecordingAlertDto.html#adas_core_Domain_Models_DTO_RecordingAlertDto_Location
  name: Location
  nameWithType: RecordingAlertDto.Location
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.Location
- uid: adas_core.Domain.Models.PatientLocation
  commentId: T:adas_core.Domain.Models.PatientLocation
  parent: adas_core.Domain.Models
  href: adas_core.Domain.Models.PatientLocation.html
  name: PatientLocation
  nameWithType: PatientLocation
  fullName: adas_core.Domain.Models.PatientLocation
- uid: adas_core.Domain.Models
  commentId: N:adas_core.Domain.Models
  href: adas_core.html
  name: adas_core.Domain.Models
  nameWithType: adas_core.Domain.Models
  fullName: adas_core.Domain.Models
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingAlerts*
  commentId: Overload:adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingAlerts
  href: adas_core.Domain.Models.DTO.RecordingAlertDto.html#adas_core_Domain_Models_DTO_RecordingAlertDto_RecordingAlerts
  name: RecordingAlerts
  nameWithType: RecordingAlertDto.RecordingAlerts
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingAlerts
- uid: System.Collections.Generic.List{adas_core.Domain.Models.PatientRecordingAlert}
  commentId: T:System.Collections.Generic.List{adas_core.Domain.Models.PatientRecordingAlert}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<PatientRecordingAlert>
  nameWithType: List<PatientRecordingAlert>
  fullName: System.Collections.Generic.List<adas_core.Domain.Models.PatientRecordingAlert>
  nameWithType.vb: List(Of PatientRecordingAlert)
  fullName.vb: System.Collections.Generic.List(Of adas_core.Domain.Models.PatientRecordingAlert)
  name.vb: List(Of PatientRecordingAlert)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.PatientRecordingAlert
    name: PatientRecordingAlert
    href: adas_core.Domain.Models.PatientRecordingAlert.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.PatientRecordingAlert
    name: PatientRecordingAlert
    href: adas_core.Domain.Models.PatientRecordingAlert.html
  - name: )
- uid: System.Collections.Generic.List`1
  commentId: T:System.Collections.Generic.List`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingData*
  commentId: Overload:adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingData
  href: adas_core.Domain.Models.DTO.RecordingAlertDto.html#adas_core_Domain_Models_DTO_RecordingAlertDto_RecordingData
  name: RecordingData
  nameWithType: RecordingAlertDto.RecordingData
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.RecordingData
- uid: adas_core.Domain.Models.Recording.RecordingData
  commentId: T:adas_core.Domain.Models.Recording.RecordingData
  parent: adas_core.Domain.Models.Recording
  href: adas_core.Domain.Models.Recording.RecordingData.html
  name: RecordingData
  nameWithType: RecordingData
  fullName: adas_core.Domain.Models.Recording.RecordingData
- uid: adas_core.Domain.Models.Recording
  commentId: N:adas_core.Domain.Models.Recording
  href: adas_core.html
  name: adas_core.Domain.Models.Recording
  nameWithType: adas_core.Domain.Models.Recording
  fullName: adas_core.Domain.Models.Recording
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Recording
    name: Recording
    href: adas_core.Domain.Models.Recording.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.Recording
    name: Recording
    href: adas_core.Domain.Models.Recording.html
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.MessageTime*
  commentId: Overload:adas_core.Domain.Models.DTO.RecordingAlertDto.MessageTime
  href: adas_core.Domain.Models.DTO.RecordingAlertDto.html#adas_core_Domain_Models_DTO_RecordingAlertDto_MessageTime
  name: MessageTime
  nameWithType: RecordingAlertDto.MessageTime
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.MessageTime
- uid: System.DateTime
  commentId: T:System.DateTime
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.datetime
  name: DateTime
  nameWithType: DateTime
  fullName: System.DateTime
  nameWithType.vb: Date
  fullName.vb: Date
  name.vb: Date
- uid: adas_core.Domain.Models.DTO.RecordingAlertDto.WaitResult*
  commentId: Overload:adas_core.Domain.Models.DTO.RecordingAlertDto.WaitResult
  href: adas_core.Domain.Models.DTO.RecordingAlertDto.html#adas_core_Domain_Models_DTO_RecordingAlertDto_WaitResult
  name: WaitResult
  nameWithType: RecordingAlertDto.WaitResult
  fullName: adas_core.Domain.Models.DTO.RecordingAlertDto.WaitResult
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
